2022-12-09 02:53:19 UTC
654 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.7.1-release
SWIFT_PLATFORMubuntu22.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.7.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:6e3729cf69e0ce2de9e779575a1fec8b7fb5efdfa822829290ab6d5d1bc3e797 - 4.44% (29 MB)
[#001] sha256:97a89c39ae29f9b99db84d92734425a9a32030ef3065b71fa83b745433f94f3e - 15.09% (98.7 MB)
[#002] sha256:51c82c40c2c103dc7b60da9057cde656c7d22993ef6a3c4c7afc93616ee7fb37 - 80.47% (526 MB)
[#003] sha256:ec1316360271d34b14d21ab874c2a0ff6262d9e62346f6d4476219717e7f49e5 - 0.0% (225 Bytes)
/bin/sh -c #(nop) ADD file:481dd2da6de71525248eba186feeeafcc73cc956ade0a196a4e8b0c2424e74b9 in /
2022-12-09 01:20:31 UTC/bin/sh -c #(nop) CMD ["bash"]
2022-12-09 02:51:08 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2022-12-09 02:51:09 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2022-12-09 02:52:29 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*
2022-12-09 02:52:30 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2022-12-09 02:52:30 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04
2022-12-09 02:52:30 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7.1-release
2022-12-09 02:52:30 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7.1-RELEASE
2022-12-09 02:52:30 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2022-12-09 02:52:30 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.7.1-release SWIFT_VERSION=swift-5.7.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2022-12-09 02:53:13 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl
2022-12-09 02:53:19 UTC/bin/sh -c swift --version
2022-12-09 02:19:13 UTC
640 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.7.1-release
SWIFT_PLATFORMubuntu22.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.7.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:10175de2f0c4f7d306f660ee073bce12b824c8012dd19b3c140aae053fabd1cc - 4.23% (27.1 MB)
[#001] sha256:312c6f3f5d8514bf1c60cdded89dca6ac3a0cf0e1be225dadadecb5bcbd5d990 - 14.99% (96 MB)
[#002] sha256:0d8b31565a46a1097f10e7a27bc309bc7c908cdde5cc398ca9fbab42287e611f - 80.78% (517 MB)
[#003] sha256:ff5deaf5fc0d6ada872700d7813a1870cd4fcec269253f5e615926be6c3f50cc - 0.0% (226 Bytes)
/bin/sh -c #(nop) ADD file:429a55a11d4bcd15647d1316d9debd9ead4b4ab5c0b9146894d07c39aa814290 in /
2022-12-09 01:46:57 UTC/bin/sh -c #(nop) CMD ["bash"]
2022-12-09 02:16:10 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2022-12-09 02:16:10 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2022-12-09 02:17:56 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*
2022-12-09 02:17:57 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2022-12-09 02:17:57 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04
2022-12-09 02:17:57 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7.1-release
2022-12-09 02:17:58 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7.1-RELEASE
2022-12-09 02:17:58 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2022-12-09 02:17:58 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.7.1-release SWIFT_VERSION=swift-5.7.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2022-12-09 02:19:02 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl
2022-12-09 02:19:13 UTC/bin/sh -c swift --version
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.